> For the complete documentation index, see [llms.txt](https://docs.lenses.io/latest/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.lenses.io/latest/k2k/2.0.0/k2k-offset-mapping/reusing-the-k2k-configuration.md).

# Reusing the K2K configuration

The K2K Offset Mapping application uses the same YAML configuration format as the standard K2K pipeline. Its configuration extends most of the base K2K Config definitions while omitting others that are not applicable. Any valid K2K pipeline configuration can be used as a starting point for the Offset Mapping application.

In practice, this means an existing K2K configuration file can serve as a base. Only the additional fields specific to offset mapping need to be provided on top of the existing configuration to enable the feature.

<table><thead><tr><th width="309.58331298828125">Property/Section</th><th>Present in K2K</th><th>Present in K2K Offset Mapping</th><th data-type="checkbox">Required</th></tr></thead><tbody><tr><td><code>name</code></td><td><span data-gb-custom-inline data-tag="emoji" data-code="2705">✅</span></td><td><span data-gb-custom-inline data-tag="emoji" data-code="2705">✅</span></td><td>true</td></tr><tr><td><code>features.autoCreateControlTopics</code></td><td><span data-gb-custom-inline data-tag="emoji" data-code="2705">✅</span></td><td><span data-gb-custom-inline data-tag="emoji" data-code="2705">✅</span></td><td>false</td></tr><tr><td><code>features.applyMappingsGuards</code></td><td><span data-gb-custom-inline data-tag="emoji" data-code="2796">➖</span></td><td><span data-gb-custom-inline data-tag="emoji" data-code="2705">✅</span></td><td>false</td></tr><tr><td><code>license.*</code></td><td><span data-gb-custom-inline data-tag="emoji" data-code="2705">✅</span></td><td><span data-gb-custom-inline data-tag="emoji" data-code="2705">✅</span></td><td>false</td></tr><tr><td><code>errorHandling.onMultipleTargetCommittedOffsets</code></td><td><span data-gb-custom-inline data-tag="emoji" data-code="2796">➖</span></td><td><span data-gb-custom-inline data-tag="emoji" data-code="2705">✅</span></td><td>false</td></tr><tr><td><code>errorHandling.onActiveConsumerGroupCommit</code></td><td><span data-gb-custom-inline data-tag="emoji" data-code="2796">➖</span></td><td><span data-gb-custom-inline data-tag="emoji" data-code="2705">✅</span></td><td>false</td></tr><tr><td><code>source.kafka.common</code></td><td><span data-gb-custom-inline data-tag="emoji" data-code="2705">✅</span></td><td><span data-gb-custom-inline data-tag="emoji" data-code="2705">✅</span></td><td>true</td></tr><tr><td><code>source.kafka.admin</code></td><td><span data-gb-custom-inline data-tag="emoji" data-code="2705">✅</span></td><td><span data-gb-custom-inline data-tag="emoji" data-code="2705">✅</span></td><td>true</td></tr><tr><td><code>target.kafka.common</code></td><td><span data-gb-custom-inline data-tag="emoji" data-code="2705">✅</span></td><td><span data-gb-custom-inline data-tag="emoji" data-code="2705">✅</span></td><td>true</td></tr><tr><td><code>target.kafka.producer</code></td><td><span data-gb-custom-inline data-tag="emoji" data-code="2705">✅</span></td><td><span data-gb-custom-inline data-tag="emoji" data-code="2705">✅</span></td><td>true</td></tr><tr><td><code>target.kafka.admin</code></td><td><span data-gb-custom-inline data-tag="emoji" data-code="2705">✅</span></td><td><span data-gb-custom-inline data-tag="emoji" data-code="2705">✅</span></td><td>true</td></tr><tr><td><code>target.kafka.consumer</code></td><td><span data-gb-custom-inline data-tag="emoji" data-code="2705">✅</span></td><td><span data-gb-custom-inline data-tag="emoji" data-code="2705">✅</span></td><td>true</td></tr><tr><td><code>metrics.prefix.targetConsumer</code></td><td><span data-gb-custom-inline data-tag="emoji" data-code="2796">➖</span></td><td><span data-gb-custom-inline data-tag="emoji" data-code="2705">✅</span></td><td>false</td></tr><tr><td><code>metrics.prefix.targetProducer</code></td><td><span data-gb-custom-inline data-tag="emoji" data-code="2796">➖</span></td><td><span data-gb-custom-inline data-tag="emoji" data-code="2705">✅</span></td><td>false</td></tr><tr><td><code>metrics.prefix.offsetMappingApp</code></td><td><span data-gb-custom-inline data-tag="emoji" data-code="2796">➖</span></td><td><span data-gb-custom-inline data-tag="emoji" data-code="2705">✅</span></td><td>false</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.lenses.io/latest/k2k/2.0.0/k2k-offset-mapping/reusing-the-k2k-configuration.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
